@import '../../variables';

.main-view {
  &__container {
    display: flex;
    min-height: 100vh;
    flex-direction: column;
  }

  &__header {
    background: map-get($theme-colors, 'light-grey');
  }
  &__footer {
    background: map-get($theme-colors, 'light-grey');

    a {
      color: map-get($theme-colors, 'secondary');
      text-transform: uppercase;
      font-size: 1rem;
    }
    a:hover {
      text-decoration: underline;
    }
  }

  &__header-bezpecnost {
    h2 {
      margin-bottom: 0;
      color: map-get($theme-colors, 'primary');
    }
  }

  &__header-message {
    background-color: map-get($theme-colors, 'primary');
    p {
      color: white;
      font-weight: bold;
      margin: 0;
      font-size: 0.8125rem;
    }

    a {
      color: map-get($theme-colors, 'primary');
      background: white;
      padding: 0.25rem 1.15rem;
      margin-left: 0.75em;
      border-radius: 0.3125rem;
      box-shadow: 0 0.3rem 0.5rem rgba(0, 0, 0, 0.25);
      transition: 0.15s ease-in-out;

      &:hover,
      &:focus {
        text-decoration: none;
        background-color: map-get($theme-colors, 'highlight');
      }
    }
  }

  &__link-portal a {
    color: map-get($theme-colors, 'secondary');
    text-transform: uppercase;
    font-size: 1rem;
    line-height: 46px;
  }

  &__header-logo {
    width: 46px;
  }

  &__header-golemio-logo {
    width: 140px;
  }

  &__section {
    flex: 1 1 auto;
    font-family: $font-family-inter;
    font-size: 0.875rem;
  }

  &__language-switch {
    border-radius: 20px;
    text-transform: uppercase;
    font-weight: bold;
  }
}
